%define	fontname	samyak
%global fontconf	67-%{fontname}

# Common description
%define common_desc \
The Samyak package contains fonts for the display of \
Scripts Devanagari, Gujarati, Malayalam, Oriya and Tamil

Name:	 %{fontname}-fonts
Version:	1.2.2
Release:	%mkrel 5
Summary:	Free Indian truetype/opentype fonts
Group:	        System/Fonts/True type 
License:	GPLv3+ with exceptions
URL:	http://sarovar.org/projects/samyak/
# Source0: http://sarovar.org/frs/?group_id=461&release_id=821
Source:	samyak-fonts-%{version}.tar.gz
Source1: 67-samyak-devanagari.conf
Source2: 67-samyak-tamil.conf
Source3: 68-samyak-malayalam.conf
Source4: 67-samyak-gujarati.conf
Source5: 67-samyak-oriya.conf
BuildArch:	noarch
BuildRequires:	fontpackages-devel
BuildRequires: fontforge
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
%common_desc

%package common
Summary:  Common files for samyak-fonts
Group:	System/Fonts/True type 
Requires: fontpackages-filesystem
Provides: %{fontname}-common-fonts = %{version}-%{release}
Obsoletes: %{fontname}-common-fonts < 1.2.1-4
%description common
%common_desc

%package -n %{fontname}-devanagari-fonts
Summary: Open Type Fonts for Devanagari script
Group: System/Fonts/True type 
Requires: %{name}-common = %{version}-%{release}
License: GPLv3+ with exceptions
Provides: %{name}-devanagari = %{version}-%{release}
Obsoletes: %{name}-devanagari < 1.2.1-3
%description -n %{fontname}-devanagari-fonts
This package contains truetype/opentype font for the display of \
Scripts Devanagari.

%_font_pkg -n devanagari -f %{fontconf}-devanagari.conf Samyak-Devanagari.ttf 

%package -n %{fontname}-tamil-fonts
Summary: Open Type Fonts for Tamil script
Group: System/Fonts/True type 
Requires: %{name}-common = %{version}-%{release}
License: GPLv3+ with exceptions
Provides: %{name}-tamil = %{version}-%{release}
Obsoletes: %{name}-tamil < 1.2.1-3
%description -n %{fontname}-tamil-fonts
This package contains truetype/opentype font for the display of \
Scripts Tamil.

%_font_pkg -n tamil -f %{fontconf}-tamil.conf Samyak-Tamil.ttf 

%package -n %{fontname}-malayalam-fonts
Summary: Open Type Fonts for Malayalam script
Group: System/Fonts/True type 
Requires: %{name}-common = %{version}-%{release}
License: GPLv3+ with exceptions
Provides: %{name}-malayalam = %{version}-%{release}
Obsoletes: %{name}-malayalam < 1.2.1-3
%description -n %{fontname}-malayalam-fonts
This package contains truetype/opentype font for the display of \
Scripts Malayalam.

%_font_pkg -n malayalam -f 68-samyak-malayalam.conf Samyak-Malayalam.ttf 

%package -n %{fontname}-gujarati-fonts
Summary: Open Type Fonts for Gujarati script
Group: System/Fonts/True type 
Requires: %{name}-common = %{version}-%{release}
License: GPLv3+ with exceptions
Provides: %{name}-gujarati = %{version}-%{release}
Obsoletes: %{name}-gujarati < 1.2.1-3
%description -n %{fontname}-gujarati-fonts
This package contains truetype/opentype font for the display of \
Scripts Gujarati.

%_font_pkg -n gujarati -f %{fontconf}-gujarati.conf Samyak-Gujarati.ttf 

%package -n %{fontname}-oriya-fonts
Summary: Open Type Fonts for Oriya script
Group: System/Fonts/True type 
Requires: %{name}-common = %{version}-%{release}
License: GPLv3+ with exceptions
Provides: %{name}-oriya = %{version}-%{release}
Obsoletes: %{name}-oriya < 1.2.1-3
%description -n %{fontname}-oriya-fonts
This package contains truetype/opentype font for the display of \
Scripts Oriya.

%_font_pkg -n oriya -f %{fontconf}-oriya.conf Samyak-Oriya.ttf 


%prep
%setup -q -n samyak-fonts-%{version}

%build
mkdir -p TTFfiles/
./generate.pe */*.sfd

%install
rm -rf %{buildroot}
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p TTFfiles/*.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
		%{buildroot}%{_fontconfig_confdir}

# Repeat for every font family
install -m 0644 -p %{SOURCE1} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}-devanagari.conf

install -m 0644 -p %{SOURCE2} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}-tamil.conf

install -m 0644 -p %{SOURCE3} \
	%{buildroot}%{_fontconfig_templatedir}/68-samyak-malayalam.conf

install -m 0644 -p %{SOURCE4} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}-gujarati.conf

install -m 0644 -p %{SOURCE5} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}-oriya.conf


for fconf in %{fontconf}-devanagari.conf \
		%{fontconf}-tamil.conf \
		68-samyak-malayalam.conf \
		%{fontconf}-gujarati.conf \
		%{fontconf}-oriya.conf ; do
  ln -s %{_fontconfig_templatedir}/$fconf \
	%{buildroot}%{_fontconfig_confdir}/$fconf
done

%clean
rm -fr %{buildroot}


%files common
%defattr(-,root,root,-) 
%doc COPYING README AUTHORS
%dir %{_fontdir}



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.2.2-5.mga3
+ Revision: 381687
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 14 2011 dmorgan <dmorgan> 1.2.2-4.mga3
+ Revision: 70899
- Fix buildrequires
- imported package samyak-fonts

